Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.apache.commons.digester3.annotations.rules
Annotation Type FactoryCreate

    @Documented
    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    @CreationRule
    @DigesterRule(reflectsRule=FactoryCreateRule.class,
                  handledBy=FactoryCreateHandler.class)
    public @interface FactoryCreate

Classes annotated with `FactoryCreate` will be bound with `FactoryCreateRule` digester rule.

Since:
  2.1
See Also:
  `Digester.addFactoryCreate(String,org.apache.commons.digester3.ObjectCreationFactory,boolean)`

Required Element Summary
`String` | `pattern` The element matching pattern.

Optional Element Summary
`String` | `attributeName` Allows specify the attribute containing an override class name if it is present.
`Class<? extends AbstractObjectCreationFactory<?>>` | `factoryClass` The Java class of the object creation factory class.
`boolean` | `ignoreCreateExceptions` When true any exceptions thrown during object creation will be ignored.
`String` | `namespaceURI` The namespace URI for which this Rule is relevant, if any.

Element Detail

### pattern

    public abstract String pattern

  The element matching pattern.

### factoryClass

    public abstract Class<? extends AbstractObjectCreationFactory<?>> factoryClass

  The Java class of the object creation factory class.

  Default:
    org.apache.commons.digester3.annotations.rules.FactoryCreate.DefaultObjectCreationFactory.class

### attributeName

    public abstract String attributeName

  Allows specify the attribute containing an override class name if it is present.

  Since:
    3.0
  Default:
    ""

### namespaceURI

    public abstract String namespaceURI

  The namespace URI for which this Rule is relevant, if any.

  Since:
    3.0
  Default:
    ""

### ignoreCreateExceptions

    public abstract boolean ignoreCreateExceptions

  When true any exceptions thrown during object creation will be ignored.

  Default:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.